< Back
 

# Packages

-  package root
  Definition Classes
    root
-  package uk
  Definition Classes
    root
-  package gov
  Definition Classes
    uk
-  package hmrc
  Definition Classes
    gov
-  package ct
  Definition Classes
    hmrc
-  package computations
  Definition Classes
    ct
-  package calculations
  Definition Classes
    computations
- AdjustedTradingProfitCalculator
- AdjustedTradingProfitForPeriodCalculator
- AdjustedTradingProfitOrLossCalculator
- AnnualInvestmentAllowanceCalculator
- AnnualInvestmentAllowancePeriod
- AnnualInvestmentAllowancePeriods
- ApportionedTurnover
- ApportionedTurnoverCalculator
- ErrorState
- ExpensesCalculator
- FYA
- IncomeFromPropertyCalculator
- LossesBroughtForwardAgainstTradingProfitCalculator
- LossesCarriedForwardsCalculator
- LossesSetAgainstOtherProfitsCalculator
- LowEmissionCarRate
- LowEmissionCarsCalculator
- MachineryAndPlantCalculator
- MainRate
- NetProfitsChargeableToCtCalculator
- NetProfitsChargeableToCtWithoutDonationsCalculator
- NetTradingProfitCalculator
- NonBankInterestSimilarIncomeReceivableCalculator
- NonTradeIncomeCalculator
- PoolPercentageCalculator
- ProfitAndLossCalculator
- QualifyingExpenditureOnMachineryCalculation
- SBACalculator
- SpecialRate
- SummaryCalculator
- SummaryLossesArisingThisPeriodCalculator
- TotalAdditionsCalculator
- TotalDeductionsCalculator
- TotalExpenditureQualifyingForTheFirstYearAllowanceCalculator
- TotalFirstYearAllowanceClaimedCalculation
- TotalProfitsBeforeDeductionsCalculator
- TradingLossesCP286MaximumCalculator
- TradingLossesThisAndLaterPeriodCalculation
- WritingDownAllowanceCalculator

t

uk.gov.hmrc.ct.computations.calculations

# SBACalculator 

###

#### trait SBACalculator extends NumberRounding with AccountingPeriodHelper

Linear Supertypes
AccountingPeriodHelper, NumberRounding, AnyRef, Any
Known Subclasses
Building, CP296, CP297, CP298
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. SBACalculator
2. AccountingPeriodHelper
3. NumberRounding
4. AnyRef
5. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  def accountingPeriodDaysInFinancialYear(year: Int, accountingPeriod: HmrcAccountingPeriod): BigDecimal
   Definition Classes
     AccountingPeriodHelper
5.  def accountingPeriodSpansTwoFinancialYears(accountingPeriod: HmrcAccountingPeriod): Boolean
   Definition Classes
     AccountingPeriodHelper
6.  def apportionedCostOfBuilding(cost: BigDecimal, daysInTheYear: Int, rateForTy: SBARateForTaxYear): BigDecimal
7.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
8.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... ) @native()
9.  def daysBetween(start: LocalDate, end: LocalDate): Int
   Definition Classes
     AccountingPeriodHelper
10.  def daysInAccountingPeriod(accountingPeriod: HmrcAccountingPeriod): Int
    Definition Classes
      AccountingPeriodHelper
11.  def endingFinancialYear(date: EndDate): Int
    Definition Classes
      AccountingPeriodHelper
12.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
13.  def equals(arg0: Any): Boolean
    Definition Classes
      AnyRef → Any
14.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
15.  def financialYearForDate(date: LocalDate): Int
    Definition Classes
      AccountingPeriodHelper
16.  def financialYearStartingIn(year: Int): (LocalDate, LocalDate)
    Definition Classes
      AccountingPeriodHelper
17.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
18.  def getDaysIntheYear(apStartDate: LocalDate): Int
19.  def getSbaDetails(apStartDate: LocalDate, apEndDate: LocalDate, maybeFirstUsageDate: Option[LocalDate], maybeCost: Option[Int]): Option[SbaResults]
20.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
21.  def isEarliestWrittenContractAfterAPStart(contractDate: LocalDate, apStartDate: LocalDate): Boolean
22.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
23.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
24.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
25.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
26.  val rateAfterTy2020: SBARateForTaxYear
27.  val ratePriorTy2020: SBARateForTaxYear
28.  def roundedToInt(value: BigDecimal): Int
    Definition Classes
      NumberRounding
29.  def roundedToIntHalfDown(value: BigDecimal): Int
    Definition Classes
      NumberRounding
30.  def roundedToIntHalfUp(value: BigDecimal): Int
    Definition Classes
      NumberRounding
31.  def roundedTwoDecimalPlaces(value: BigDecimal): BigDecimal
    Definition Classes
      NumberRounding
32.  def startingFinancialYear(date: StartDate): Int
    Definition Classes
      AccountingPeriodHelper
33.  def sumAmount(xs: List[Option[Int]]): Option[Int]
34.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
35.  def toString(): String
    Definition Classes
      AnyRef → Any
36.  def validateAccountingPeriod(accountingPeriod: HmrcAccountingPeriod): Unit
    Definition Classes
      AccountingPeriodHelper
37.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
38.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
39.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... ) @native()

### Inherited from AccountingPeriodHelper

### Inherited from NumberRounding

### Inherited from AnyRef

### Inherited from Any

### Ungrouped